function raveupdateexplorezoombarsresize(src,ev)

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

%make axes:
pos=get(handles.activegraph,'position');

ax=udata.explore.zoombars.ax;

set(ax,'position',pos+[0 0 10 10],'xlim',[0 pos(3)+10],'ylim',[0 pos(4)+10]);

xbar=findobj(ax,'tag','xbar');
xlow=findobj(ax,'tag','xlow');
xhigh=findobj(ax,'tag','xhigh');
ybar=findobj(ax,'tag','ybar');
ylow=findobj(ax,'tag','ylow');
yhigh=findobj(ax,'tag','yhigh');

%make sure zoombars reflect current zoom state:
xlim=get(handles.activegraph,'xlim');
ylim=get(handles.activegraph,'ylim');

%get max limits:
maxxlim=udata.format.xlim;
normxlim=(xlim-maxxlim(1))./(maxxlim(2)-maxxlim(1));

%convert to positions:
relxlim=normxlim.*(pos(3)-6)+3;

set(xlow,'xdata',relxlim(1),'ydata',pos(4)+6);
set(xhigh,'xdata',relxlim(2),'ydata',pos(4)+6);
set(xbar,'xdata',relxlim+[-3 3],'ydata',[pos(4)+6 pos(4)+6]);


%get max limits:
maxylim=udata.format.ylim;
normylim=(ylim-maxylim(1))./(maxylim(2)-maxylim(1));

%convert to positions:
relylim=normylim.*(pos(4)-6)+3;

set(ylow,'ydata',relylim(1),'xdata',pos(3)+6);
set(yhigh,'ydata',relylim(2),'xdata',pos(3)+6);
set(ybar,'ydata',relylim+[-3 +3],'xdata',[pos(3)+6 pos(3)+6]);

