function raveinitializeprefprofiler(src,ev)
%make histogram by default contains the first variable modeled by an RSE in the
%list for y, and all of its x's for x. z,c not used. If no RSEs are present, the create
%function will just show a warning in the axes instead of making the graph.
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

udata=raveinitializeudataprefprofiler(src,ev);
set(handles.fakeax(handles.activeindex),'userdata',udata);

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[];
handles.subfakeax{handles.activeindex}=[];
handles.subfakerax{handles.activeindex}=[];
guidata(handles.fig,handles);

%make the graph
ravecreateprefprofiler(handles.fig,[]);
