function raveinitializediscretefilter(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

set(handles.allblockers(handles.activeindex),'edgecolor',[0 .5 1])
set(handles.expblockers(handles.activeindex),'edgecolor',[0 .5 1])
set(handles.grabbers{handles.activeindex},'markerfacecolor',[0 .5 1]);

set(handles.allgraphs(handles.activeindex),'visible','off','xtick',[],'xticklabel','','ytick',[],'yticklabel',[]);
set(handles.fakeax(handles.activeindex),'visible','off','xtick',[],'xticklabel','','ytick',[],'yticklabel',[]);
set(handles.fakerax(handles.activeindex),'visible','off');

udata=raveinitializeudatadiscretefilter(src,ev);

set(handles.fakeax(handles.activeindex),'userdata',udata);

%update guidata
guidata(handles.fig,handles);
ravecreatediscretefilter(handles.fig,[]);