function ravesetselectionmodescatter(src,ai)
handles=guidata(src);
udata=get(handles.fakeax(ai),'userdata');

set(udata.view.mainhandles,'buttondownfcn',@buttondownfcnscatter);
set(handles.allgraphs(ai),'buttondownfcn',@buttondownfcnscatter);

return


switch handles.selectionmode
    case 'point'
        set(udata.view.mainhandles,'buttondownfcn',@pointselectscatter);
        set(handles.allgraphs(ai),'buttondownfcn',@unselectfcn);
    case 'box'
        set(udata.view.mainhandles,'buttondownfcn',@boxselectscatter);
        set(handles.allgraphs(ai),'buttondownfcn',@boxselectscatter);
    case 'lasso'
        set(udata.view.mainhandles,'buttondownfcn',@lassoselectscatter);
        set(handles.allgraphs(ai),'buttondownfcn',@lassoselectscatter);
    otherwise %do nothing
end

function unselectfcn(src,ev)
handles=guidata(src);
if ~isempty(get(handles.fig,'currentmodifier'));return;end

%determine which point was clicked:

ai=find(handles.allgraphs==gca);
udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;
handles.isselected{d}{a}=false(size(handles.isselected{d}{a}));
guidata(src,handles);

%update other graphs:
raveupdateanalysis(src,[],'isselected',[],d,a);
