function handles=raveupdatescatterrowcolors(src,ev,handles)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%handles=guidata(src);
getudata;
ai=handles.activeindex;
   
if udata.view.c==0
    if udata.format.ncolor
        c=1920+(handles.rowcolors{udata.view.dataset}{udata.view.analysis})' + rand -0.5; %noisy colors
    else
        c=1920+(handles.rowcolors{udata.view.dataset}{udata.view.analysis})'; %non-noisy colors cdata=0.5
    end
else
    return
end

[mainrows,selectedrows,filteredrows]=ravemakeplotdataseries(handles,udata);

patchidx=udata.view.patchidx;

if ~udata.view.uselines
    %main handles
    for j=1:max(patchidx)
        mainidx=patchidx==j & mainrows;
        if any(mainidx)
            set(udata.view.mainhandles(j),'cdata',c(mainidx));
        end
    end
else
    for j=1:10
        xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        ydata=handles.alldata{udata.view.dataset}(:,udata.view.y);
        
        mainidx=handles.rowcolors{udata.view.dataset}{udata.view.analysis}==j & ~isfiltered & nothidden;
        if any(mainidx)
            set(udata.view.mainhandles(j),'xdata',xdata(mainidx),'ydata',ydata(mainidx),'visible','on');
        else
            set(udata.view.mainhandles(j),'visible','off');
        end
    end
end

