function buttondownfcnscatter3D(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% Written by Matt Daskilewicz, with minor contributions from David Pate

%determines what to do when a scatter3D plot is clicked, then does it.
handles=guidata(src);
isalt=strcmpi(get(handles.fig,'selectiontype'),'Alt') && ~ismember('control',get(handles.fig,'currentmodifier'));

if (handles.rotater && ~isalt) || (~handles.rotater && isalt)
    src=ancestor(src,'axes');
    raverotate3d(src,[]);
else
    switch handles.selectionmode
        case 'point'
            pointselectscatter3D(src,[]);
        case 'box'
            boxselectscatter3D(src,[]);
        case 'lasso'
            lassoselectscatter3D(src,[]);            
    end
end






