function pointselectscattermatrix(src,ev) %#ok<INUSD>
%determine which point was clicked:
handles=guidata(src);
set(handles.infobar,'string','Shift+Click to add points to current selection, Alt+Click to remove from selection');


ai=get(gca,'userdata');

udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;

allkidz=cell2mat(get(handles.subax{ai},'children'));
%targets=findobj(allkidz,'tag','main','-or','tag','selected');

handles.temp.selected=findobj(allkidz,'tag','selected');

clicked=get(gca,'currentpoint');

xclick=clicked(1,1,1);
yclick=clicked(1,2,1);

inpoints=ravefindclosestpoint2D(xclick,yclick,src);


s=get(src,'userdata');

visiblepoints=find(handles.isvisible{d}{a} & handles.rowcolors{d}{a}==s);
selectedpoint=visiblepoints(inpoints);
realpoints=false(size(handles.isvisible{d}{a}));
realpoints(selectedpoint)=true;


inpoints=realpoints;

if strcmp(get(handles.fig,'currentmodifier'),'shift')
    inpoints=handles.isselected{d}{a} | inpoints;
elseif strcmp(get(handles.fig,'currentmodifier'),'alt')
    lastselected=handles.isselected{d}{a};
    lastselected(inpoints)=false;
    inpoints= lastselected;
end


%need to set all data properties so dimensions are correct.
switch udata.view.layout
    case 'square'
        xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        ydata=handles.alldata{udata.view.dataset}(:,udata.view.x);
    otherwise
        xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        ydata=handles.alldata{udata.view.dataset}(:,udata.view.y);
end

for r=1:size(handles.subax{ai},1)
    for c=1:size(handles.subax{ai},2)
    
        %if r==c;continue;end
        selected=findobj(handles.subax{ai}(r,c),'tag','selected');
 
        set(selected,'xdata',xdata(inpoints,c),'ydata',ydata(inpoints,r),'visible','on','userdata',inpoints);     

    end
end

handles.isselected{udata.view.dataset}{udata.view.analysis}=inpoints;

handles.lastd=udata.view.dataset;
handles.lasta=udata.view.analysis;

guidata(src,handles);

%update other graphs:
raveupdateanalysis(src,[],'isselected',[],udata.view.dataset,udata.view.analysis);

