function handles=raveupdateparallelcoordspreferences(src,ev,handles)
%recolor parallel coords by preferenced variable:


%handles=guidata(src);

udata=get(handles.fakeax(handles.activeindex),'userdata');


d=udata.view.dataset;
a=udata.view.analysis;

%UPDATE COLORS
if udata.view.c~=0 && handles.isobjective{d}(udata.view.c);
    
    allcolorz=get(handles.fig,'colormap');
    index=udata.view.maxlineindex;
    
    c=handles.alldata{d}(index,udata.view.c);
    %normalize cdata to desired colormap:
    c=(c-min(c))/(max(c)-min(c))*127+128*(udata.format.lcmap-1)+1;
    if udata.format.reversecolors
        c=(1-(c-min(c))/(max(c)-min(c)))*127+128*(udata.format.lcmap-1)+1;
    end
    
    %cdata=[linterp(1:size(allcolorz,1),allcolorz(:,1),c)' linterp(1:size(allcolorz,1),allcolorz(:,2),c)' linterp(1:size(allcolorz,1),allcolorz(:,3),c)'];
    c(isnan(c))=128*(udata.format.lcmap-1)+1;
    
    cdata=allcolorz(floor(c),:);
    
    cdata=mat2cell(cdata,ones(size(cdata,1),1),3);
    
    set(udata.view.mainhandles,{'color'},cdata);
    
end

%UPDATE YDATA
if any(handles.isobjective{d}(udata.view.x));
    
    areobj=udata.view.x(handles.isobjective{d}(udata.view.x));
    ydata=cell2mat(get(udata.view.mainhandles,'ydata')); %this will break if only one line is plotted.
    
    newypts=handles.alldata{d}(:,areobj);
    newypts=bsxfun(@minus,newypts,min(newypts));
    newypts=bsxfun(@rdivide,newypts,max(newypts));
    
    ydata(:,handles.isobjective{d}(udata.view.x))=newypts;
    ydata=mat2cell(ydata,ones(size(cdata,1),1),size(ydata,2));
    set(udata.view.mainhandles,{'ydata'},ydata)
end
