function handles=raveupdatehistogramisfiltered(src,ev,handles)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%handles=guidata(src);
getudata;
ai=handles.activeindex;

a=udata.view.analysis; 
d=udata.view.dataset; %data set index

%allnothidden=handles.isvisible{d}{a};
%if isempty(allnothidden);return;end % empty data set;

[mainrows,selectedrows,filteredrows]=ravemakeplotdataseries(handles,udata);

for c=1:numel(handles.subax{ai})
    main=findobj(get(handles.subax{ai}(c),'children'),'tag','main');

    [maincount,selectedcount,filtcount,nbars,edges,mainbins]=ravehistogramcount(handles,d,a,xcol(c),[],mainrows,selectedrows,filteredrows,udata.view.nbars-1,udata.view.discreteascategory);
    
    if udata.view.normalize %normalize counts (make pdfs)
        maincount=maincount./size(handles.alldata{udata.view.dataset},1);
    end

    maindata=[zeros(size(maincount,1),2),maincount,maincount,zeros(size(maincount,1),1)];
    maindata=maindata';
    mh=get(main,'children');
    mh=findobj(mh,'type','patch'); %not sure why, but main includes several rectangle objects as well...
    mv=get(mh,'vertices');
    mv(1:end-1,2)=maindata(:);
    set(mh,'vertices',mv);

end