function udata=raveinitializeudatahistogram3D(src,ev)

handles=guidata(src);

%make histogram by default contain the first variable in the
%list. for histogram only x is used, not y,z,c...
ins=find(~handles.isconstant{1},2);
x=ins(1);
y=ins(2);

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.x=x;
udata.view.y=y;
udata.view.z=0;
udata.view.s=0;
udata.view.c=1; %this makes raveresizeaxes respect the colorbar
udata.view.response=0; %response check box value
udata.view.exclude=1; %exclude constant check box value
udata.view.outliers=0; %remove outliers check box value
udata.view.stddevs=3; %number of std deviations that define outliers
udata.view.nbars=10; %number of bars to draw.
udata.view.barwidth=1; %relative width of bars.
udata.view.showstats=1; %show distribution statistics
udata.view.normalize=0; %show probabilities instead of counts;
udata.view.stack=0; %stack vertically instead of horizontally;
udata.view.constraints=0;
udata.format.nxlabelrows=0;
udata.view.az=-37.5;
udata.view.el=30;
udata.view.discreteascategory=0;
udata.view.series={'main','selected','filtered'};

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=2; %index for grid;
udata.format.facecolor=[.3 .6 1]; %bar face color
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.drawedge=1;
udata.format.orient='vertical'; %bar orientation
udata.format.colorbycount=1;
udata.format.boxon=0;
udata.format.mcmap=handles.prefs.defaultcolormap;
udata.format.usecmap=1;
udata.format.hideempty=1; %hide empty bars
udata.format.colorbar=1;
udata.format.reversecolors=0;

%make explre tab info:
udata.explore.option=[];
udata.explore.method=cell(0);