function stringout=makevarliststring(src,ev,d,x)
%makes an html string that contains the variable names of variables x from
%data set d. The string is colored according to the variable type:
%blue = dependent variable
%green = decided independent variable
%black = other independent variables



handles=guidata(src);

if ~exist('x','var')
    x=1:numel(handles.allnames{d});
end

varnames=handles.allnames{d}(x);
% 
% for v=1:numel(varnames)
%     if handles.isfunction{d}(x(v))   
%         varnames{v}=['<HTML><FONT color="Navy">',varnames{x(v)},'</FONT></HTML>'];
%     elseif handles.isdecided{d}(x(v))   
%         varnames{v}=['<HTML><FONT color="green">',varnames{x(v)},'</FONT></HTML>'];
%     else
%         varnames{v}=varnames{v};
%     end
% end
    
stringout=varnames;
