function ravechangepage(src,ev,offset)
%changes the page by the increment in offset (usually either -1 or +1)

handles=guidata(src);
handles.lastsheet=handles.activesheet;
tag=get(src,'tag');

if strcmp(get(handles.tablemodebutton,'visible'),'off') %seems to be a reliable check of full-screen mode...
   bgcolor=handles.colors.wsbg;
else
   bgcolor=handles.colors.frame; 
end

switch tag
    case 'pageleftbutton'
        newcdata=imread('leftbuttondown.png','backgroundcolor',bgcolor);
    case 'pagerightbutton'
        newcdata=imread('rightbuttondown.png','backgroundcolor',bgcolor); 
end

set(src,'cdata',newcdata);
drawnow;

set(0,'userdata',src);
set(handles.fig,'windowbuttonupfcn',@ravechangepagedone);

newpage=handles.activesheet+offset;

if isempty(handles.sheet) && newpage>0
    newpage=1;
elseif newpage<=0
    newpage=0;
elseif newpage>max(handles.sheet)+1
    newpage=max(handles.sheet)+1;
end   

if newpage==handles.lastsheet;return;end %do nothing if there is nothing to do.


set(handles.pageedit,'string',num2str(newpage))
handles.activesheet=newpage;

guidata(handles.fig,handles);

if newpage>0 && handles.lastsheet>0;
    ravedisplaypage(handles.fig,[]);
else
    showhideworkspace(handles.fig,[]);
end

function ravechangepagedone(src,ev)
if isempty(src);return;end %i dont even know how this is happening, but it is.

handles=guidata(src);
set(handles.fig,'windowbuttonupfcn','');
src=get(0,'userdata');
tag=get(src,'tag');

if strcmp(get(handles.tablemodebutton,'visible'),'off') %seems to be a reliable check of full-screen mode...
   bgcolor=handles.colors.wsbg;
else
   bgcolor=handles.colors.frame; 
end

switch tag
    case 'pageleftbutton'
        newcdata=imread('leftbuttonup.png','backgroundcolor',bgcolor);
    case 'pagerightbutton'
        newcdata=imread('rightbuttonup.png','backgroundcolor',bgcolor); 
    otherwise
        return
end

set(src,'cdata',newcdata);





