function outnames=ravemakevariablenames(varnames)
%Input: a cell array of strings representing variable names
%Output: a cell array of similar strings where each string is a legal
%matlab variable name.
%
%This function:
% removes illegal characters from the names
% ensures that each name begins with a letter
% ensures that each name in the output list is unique
% ensures that names do not exceed the maximum allowable variable name length

outnames=genvarname(varnames);

