function raveprocessdatasetanalysislinks(varargin)
%raveprocessdatasetanalysislinks(src,ev,updatetype,skipthese,d,a,thisxdial)
%looks for links from dataset d to any other dataset relevant to updatetype, then applies the
%appropriate changes to handles and updates graphs as needed. 
%
% Input syntax is identical to raveupdateanalysis, and this function is
% called as the last line of raveupdateanalysis.

src=varargin{1};
ev=varargin{2};
updatetype=varargin{3};
skipthese=varargin{4};

if ~isempty(ev)
    handles=ev;
else
    handles=guidata(src);
end

udata=get(handles.fakeax(handles.activeindex),'userdata');

if nargin<6
    
    thisanalysis=udata.view.analysis;
    thisdataset=udata.view.dataset;
else
    thisdataset=varargin{5};
    thisanalysis=varargin{6};
end

if nargin<7
    thisxdial=1:numel(handles.allnames{thisdataset}); %update all variables
else
    thisxdial=varargin{7};
end
   

%check for links:










