function ravesynchanalyses2active(src,ev)
%for use as a callback to a Custom Button workspace object.
%
%updates all analyses information to match that information in the analysis
%of the currently selected workspace object. Only affects the analysis info
%related to the data set of the selected object. 

handles=guidata(src);

ai=handles.activeindex;

udata=get(handles.fakeax(ai),'userdata');


a=udata.view.analysis;
d=udata.view.dataset;

for A=1:numel(handles.analysisnames)
    handles.xdials{d}{A}=handles.xdials{d}{a};
    handles.minlimit{d}{A}=handles.minlimit{d}{a};
    handles.maxlimit{d}{A}=handles.maxlimit{d}{a};
    handles.discretevalues{d}{A}= handles.discretevalues{d}{a};
    handles.rowcolors{d}{A}=handles.rowcolors{d}{a};
    handles.isselected{d}{A}=handles.isselected{d}{a};
    handles.isvisible{d}{A}=handles.isvisible{d}{a};
    handles.isfiltered{d}{A}=handles.isfiltered{d}{a};
    handles.minfilter{d}{A}=handles.minfilter{d}{a};
    handles.maxfilter{d}{A}=handles.maxfilter{d}{a};
    handles.discretefilter{d}{A}=handles.discretefilter{d}{a};  
    guidata(handles.fig,handles);
    
    %apply all updates to graphs: (comment out updates that you never use)
    raveupdateanalysis(src,[],'xdials',ai,d,A);
    raveupdateanalysis(src,[],'visiblerows',ai,d,A);
    raveupdateanalysis(src,[],'isselected',ai,d,A);
    raveupdateanalysis(src,[],'rowcolors',ai,d,A);
    raveupdateanalysis(src,[],'isfiltered',ai,d,A);
end






