%This file contains the commands used to compile the maintable java files.
%If you make any changes to the .java files, you need to recompile them
%before the changes will take effect. You can use the lines below to do this from within MATLAB.  
%Of course you must update the path in each line before you run them...
% the paths here are just whichever ones happened to be the last ones i used.
%You must have the jdk installed and its bin folder should be on your system path. 


!javac "C:\Users\Matt\Documents\MATLAB\rave\java\RaveHeaderRenderer.java"
!javac "C:\Users\Matt\Documents\MATLAB\rave\java\RowHeaderRenderer.java"
!javac -Xlint:unchecked "C:\Users\Matt\Documents\MATLAB\rave\java\RaveTableSorter.java"
!javac "C:\Users\Matt\Documents\MATLAB\rave\java\RaveTableMouseHandler.java"
!javac "C:\Users\Matt\Documents\MATLAB\rave\java\RaveDataTypeTableModel.java"

!cd "C:\Users\mdaskilewicz\Documents\MATLAB\rave\java\" & javac -cp . "C:\Users\mdaskilewicz\Documents\MATLAB\rave\java\RaveDefaultTableCellRenderer.java"
!cd "C:\Users\mdaskilewicz\Documents\MATLAB\rave\java\" & javac -cp . "C:\Users\mdaskilewicz\Documents\MATLAB\rave\java\RaveStringTableCellRenderer.java"
!cd "C:\Users\Matt\Documents\MATLAB\rave\java\" & javac -cp . "C:\Users\Matt\Documents\MATLAB\rave\java\RaveIntegerTableCellRenderer.java"
!cd "C:\Users\Matt\Documents\MATLAB\rave\java\" & javac -cp . "C:\Users\Matt\Documents\MATLAB\rave\java\RaveDefaultRowHeaderRenderer.java"
!cd "C:\Users\Matt\Documents\MATLAB\rave\java\" & javac -cp . "C:\Users\Matt\Documents\MATLAB\rave\java\RaveRowStatusRenderer.java"

%If after running any/all of the above lines, run these to update the jar
%file. You must do this while Rave is not running.
!cd "C:\Users\mdaskilewicz\Documents\MATLAB\rave\java\" & jar cf RaveTable.jar *.class *.java
clear all
javaaddpath('C:\Users\mdaskilewicz\Documents\MATLAB\rave\java\RaveTable.jar');

