function filterscroll(src,ev,val) %#ok<INUSL>
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
%udata=get(handles.fakeax(handles.activeindex),'userdata');

thisax=src; %handle of axes to be scrolled

if isempty(thisax);return;end

%ai=find(handles.allgraphs==thisax);


axpos=get(thisax,'position');
%nvars=numel(udata.view.x);

rpix=14.7; %pixels per row of text. 
%tpix=rpix*(nvars+1); %total number of pixels needed to display all vars.
dpix = axpos(4); %number of pixels visible at any time. 

set(thisax,'ylim',[val dpix+val]);

%fix text visibility: NOTE: text clipping property does not work when axes
%are child of uipanel!

ttt=findobj(thisax,'type','text');
set(ttt,'visible','off')

poses=get(ttt,'position');

poses=cell2mat(poses);
poses=poses(:,2);
vizible=poses<dpix+val+rpix/2 & poses>val+rpix/2;

vizible(end+1)=false;


set(ttt(vizible),'visible','on');









