function udata=raveinitializeudataline(src,ev)

handles=guidata(src);

d=1; %default data set index

if ~all(handles.isresponse{d}==0)
    x=find((~handles.isconstant{d} & ~handles.isresponse{d}),1);
    y=find((~handles.isconstant{d} & handles.isresponse{d}),1);
    z=0;
    c=0;
else
    x=find((~handles.isconstant{d}),1); %first non-constant value
    y=find((~handles.isconstant{d}),1); %first non-constant value
    z=0;
    c=0;

end


udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.x=x;
udata.view.y=y;
udata.view.z=0;
udata.view.c=0;
udata.view.s=-1; %connect points in order of...
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.pscale=[];
udata.view.gscale=[];
udata.view.usez=0; %use right axis to display "z" variables
udata.view.usevariablecolors=0;
udata.view.autoscale=1;
udata.view.constraints=0;
udata.view.linehandles=[];
udata.view.markerhandles=[];
udata.view.filteredhandles=[];
udata.view.selectedhandles=[];
udata.view.series={'main','selected','filtered'};

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.marker='s'; % marker string
udata.format.markersize=5; %marker size
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap 
udata.format.linestyle='-'; %line style string
udata.format.linesize=1; %line thickness;
udata.format.lcmap=handles.prefs.defaultcolormap; %line colormap 
udata.format.mcheck=0; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.reversecolors=0;
udata.format.nxlabelrows=0;
udata.format.updatedials=1;
udata.format.colorbar=0;
udata.format.legend=1;
udata.format.filtermode=0;
udata.format.userowcolors=false;
udata.format.persistentlimits=[0 0 0 0 0];
udata.format.edgecolor=handles.colors.edgecolor;

%make explre tab info:
udata.explore.method=[];
udata.explore.mouseover=true;
udata.explore.mouseoverhandles=[];
