function raveupdateticksline(src,ev,axis)

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

%first replace ticks for all axes (important, do this for all axes to avoid
%errors with ravemovecustomticks
for i=1:numel(axis)
    switch axis(i)
        case 'x'
            %drawnow;
            if udata.view.x>0
                ravemaketextticks(src,[],udata.view.x,[],[]);
            else
                xticks=get(src,'xtick');
                xticklabels=num2cell(xticks);
                xticklabels=cellfun(@num2str,xticklabels,'UniformOutput',false);
                ravemaketextticks(src,[],0,[],[],[],xticklabels)
            end
        case 'y'
            %drawnow;
            if numel(udata.view.y)==1
            ravemaketextticks(src,[],[],udata.view.y,[]);
            else
                yticks=get(src,'ytick');
                yticklabels=num2cell(yticks);
                yticklabels=cellfun(@num2str,yticklabels,'UniformOutput',false);
                ravemaketextticks(src,[],[],0,[],[],[],yticklabels)
            end
    end
end

%now relocate all ticks to proper location:
ravemovecustomticks(src,[],0); 