function lassoselectscattermatrix(src,ev)
handles=guidata(src);
ai=get(src,'userdata'); %ai is userdata of subax.
udata=get(handles.fakeax(ai),'userdata');

clicked=get(src,'currentpoint');

xclick=clicked(1,1,1);
yclick=clicked(1,2,1);
handles.temp.xpoints=xclick;
handles.temp.ypoints=yclick;
%fill color:
handles.temp.selection=patch(xclick, yclick,get(handles.subfakerax{ai}(1),'color'),'linewidth',1,'edgecolor',[1 .5 0],...
    'parent',src,'hittest','off','buttondownfcn','','clipping','on','facecolor','none');
uistack(handles.temp.selection,'bottom');
%maindata=findobj(handles.activesubgraph,'tag','main');
%set(maindata,'visible','off');

handles.temp.selected=findobj(src,'tag','selected');
%handles.temp.main=findobj(handles.activesubgraph,'tag','main');

switch udata.view.layout
    case {'square','upper','lower'}
        handles.temp.xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        handles.temp.ydata=handles.alldata{udata.view.dataset}(:,udata.view.x);
    otherwise
        handles.temp.xdata=handles.alldata{udata.view.dataset}(:,udata.view.x);
        handles.temp.ydata=handles.alldata{udata.view.dataset}(:,udata.view.y);
end


set(handles.temp.selected,'userdata',false(size(handles.alldata{udata.view.dataset},1),1));



%maintain manual/auto sizing:
%handles.temp.axesmode=get(handles.activegraph,'xlimmode');
%set(handles.activegraph,'xlimmode','manual','ylimmode','manual');

%allow dragging
set(handles.fig,'WindowButtonMotionFcn',@ravesizelasso);
set(handles.fig,'WindowButtonUpFcn',@ravesizeselectiondone);
set(handles.fig,'windowbuttondownfcn',[]);

handles.lastd=udata.view.dataset;
handles.lasta=udata.view.analysis;


guidata(src,handles);

function ravesizelasso(src,eventdata) %#ok<INUSD>
handles=guidata(src);

ai=get(gca,'userdata');

udata=get(handles.fakeax(ai),'userdata');

mousenew = get(gca,'CurrentPoint');
mousenew = mousenew(1,1:2);

% append the new point on the end of the last lasso
handles.temp.xpoints = [get(handles.temp.selection,'xdata');mousenew(1,1)];
handles.temp.ypoints = [get(handles.temp.selection,'ydata');mousenew(1,2)];

% replot the newly extended lasso
set(handles.temp.selection,'xdata',handles.temp.xpoints,'ydata',handles.temp.ypoints)

%determine which points are in this region:
[r,c]=find(handles.subax{ai}==gca);

try
    inpoints=raveinsidepoly(handles.temp.xdata(:,c),handles.temp.ydata(:,r),handles.temp.xpoints,handles.temp.ypoints);
catch
    inpoints=inpolygon(handles.temp.xdata(:,c),handles.temp.ydata(:,r),handles.temp.xpoints,handles.temp.ypoints);
end


unpoints=false(size(handles.temp.xdata,1),1);
unpoints(inpoints)=true;
nothidden=handles.isvisible{udata.view.dataset}{udata.view.analysis};
inpoints=unpoints & nothidden;

if ~handles.prefs.filteredselectable
    inpoints = inpoints & ~handles.isfiltered{udata.view.dataset}{udata.view.analysis};
end

if strcmp(get(handles.fig,'currentmodifier'),'shift')
    inpoints = handles.isselected{udata.view.dataset}{udata.view.analysis}|inpoints;
elseif strcmp(get(handles.fig,'currentmodifier'),'alt')
    lastselected=handles.isselected{udata.view.dataset}{udata.view.analysis};
    lastselected(inpoints)=false;
    inpoints= lastselected;
elseif strcmp(get(handles.fig,'currentmodifier'),'control')
    lastselected=handles.isselected{udata.view.dataset}{udata.view.analysis};
    inpoints = lastselected & inpoints;
end

set(handles.infobar,'string',[strtrim(sprintf('%12.0f',sum(inpoints))) ' points selected'])


if isempty(inpoints)
    set(handles.temp.selected,'visible','off','userdata',false(size(handles.alldata{udata.view.dataset},1),1))
else
    %need to set all data properties so dimensions are correct.
    set(handles.temp.selected,'xdata',handles.temp.xdata(inpoints,c),'ydata',handles.temp.ydata(inpoints,r),...
        'visible','on','userdata',inpoints);
end





function ravesizeselectiondone(src,eventdata) %#ok<INUSD>
handles=guidata(src);

ai=get(gca,'userdata');

udata=get(handles.fakeax(ai),'userdata');
%stop dragging
set(handles.fig,'WindowButtonMotionFcn',@ravedefaultwindowbuttonmotionfcn);
set(handles.fig,'WindowButtonUpFcn',[]);
%set(handles.activegraph,'xlimmode',handles.temp.axesmode,'ylimmode',handles.temp.axesmode)
%set(handles.temp.main,'visible','on');

delete(handles.temp.selection);

%store indices of selected points.
inpoints=get(handles.temp.selected,'userdata');

handles.isselected{udata.view.dataset}{udata.view.analysis}=inpoints;
set(handles.fakeax(ai),'userdata',udata);
guidata(src,handles);
% 
% %update other scatters:
% for r=1:size(handles.subax{ai},1)
%     for c=1:size(handles.subax{ai},2)
%         selected=findobj(handles.subax{ai}(r,c),'tag','selected');
%         set(selected,'xdata',handles.temp.xdata(inpoints,c),'ydata',handles.temp.ydata(inpoints,r),'visible','on','userdata',inpoints);
%     end
% end

%update other graphs:
raveupdateanalysis(src,[],'isselected',[],udata.view.dataset,udata.view.analysis);

