function parallelcoordsdecideslide(src,ev)
%change xdials for a decided variable on a parallel coords plot. 
handles=guidata(src);
ai=find(handles.allgraphs==gca);
udata=get(handles.fakeax(ai),'userdata');

uistack(gco,'top') %this makes sure the dragger doesnt get stuck underneath the opposite dragger.
index=get(src,'userdata');
activegraph=get(src,'parent');
texter=[];

% texter=findobj(activegraph,'tag','decidetexter');
% texter=texter(index);
% set(texter,'visible','on');
set(handles.fig,'windowbuttonmotionfcn',{@decideslide,index,src,texter,ai})
set(handles.fig,'windowbuttonupfcn',{@decidedone,ai})

function decideslide(src,ev,index,handy,texter,ai)
handles=guidata(src);
udata=get(handles.fakeax(ai),'userdata');
thisax=get(handy,'parent');
newvalue=get(thisax,'currentpoint');
yval=newvalue(1,2,1);

if yval<0;yval=0;end
if yval>1;yval=1;end

%ydata=get(handy,'ydata');
ydata=yval;

xdata=get(handy,'xdata');
set(handy,'ydata',ydata,'xdata',xdata,'zdata',[]);

% textpos=get(texter,'position');
% 
% set(texter,'pos',[textpos(1) ydata],...
%     'string',['   ',raveformatnumber(ydata*udata.view.varranges(udata.view.x(index))+udata.view.varmins(udata.view.x(index)))]);

% udata.view.highfilter(udata.view.x(index))=ydata*udata.view.varranges(udata.view.x(index))+udata.view.varmins(udata.view.x(index));
% udata.view.maxfiltercoord(udata.view.x(index))=ydata;
set(handles.fakeax(ai),'userdata',udata);


%% convert to real coordinates:
handles.xdials{udata.view.dataset}{udata.view.analysis}(udata.view.x(index)) = ydata*udata.view.varranges(udata.view.x(index))+udata.view.varmins(udata.view.x(index));
guidata(handles.fig,handles);
%update on slide if desired:
if handles.prefs.alwaysupdate && ~handles.prefs.alwaysrasterize
   raveupdateanalysis(src,[],'xdials',[])
end

function decidedone(src,ev,ai)
handles=guidata(src);

%udata=get(handles.fakeax(ai),'userdata');

set(handles.fig,'windowbuttonmotionfcn',@ravedefaultwindowbuttonmotionfcn)
set(handles.fig,'windowbuttonup','')
% 
% if ~udata.format.showlimits
%     texter=findobj(handles.allgraphs(ai),'tag','maxtexter','-or','tag','mintexter');
%     set(texter,'visible','off');
% end

%update other graphs:
%guidata(handles.fig,handles);
raveupdateanalysis(src,[],'xdials',[])


