function raveupdatetickshistogram3D(src,ev,axis)
%src must == handles.allgraphs(ai);
%axis is a string that is some combination of xyz indicating which axes to
%update (not a cell of strings, just a string of length 1-3)

handles=guidata(src);
ai=find(src==handles.allgraphs);
udata=get(handles.fakeax(ai),'userdata');

%first replace ticks for all axes (important, do this for all axes to avoid
%errors with ravemovecustomticks
for i=1:numel(axis)
    switch axis(i)
        case 'x'
            %drawnow;
            ravemaketextticks(src,[],udata.view.x,[],[]);
        case 'y'
            %drawnow;
            ravemaketextticks(src,[],[],udata.view.y,[]);
        case 'z'
            %drawnow;
%             zticks=get(src,'zticklabel');
%             if ~iscell(zticks);
%                 zticks=mat2cell(zticks,ones(size(zticks,1),1),size(zticks,2));
%                 zticks=cellfun(@strtrim,zticks,'uniformoutput',0);
%             end
            zticks=cellfun(@num2str,num2cell(get(src,'ztick')),'uniformoutput',false);
            ravemaketextticks(src,[],[],[],0,[],[],[],zticks);
    end
end

%now relocate all ticks to proper location:
ravemovecustomticks(src,[],0); 