function raveupdateticksbarcategorical(src,ev,axis)

handles=guidata(src);
ai=find(src==handles.allgraphs);
udata=get(handles.fakeax(ai),'userdata');

%first replace ticks for all axes (important, do this for all axes to avoid
%errors with ravemovecustomticks
for i=1:numel(axis)
    switch axis(i)
        case 'x'
            %drawnow;
            ravemaketextticks(src,[],udata.view.x,[],[]);
        case 'y'
            if udata.view.y>0
                ravemaketextticks(src,[],[],udata.view.y,[]);
            else
                yticks=get(src,'ytick');
                yticklabels=num2cell(yticks);
                yticklabels=cellfun(@num2str,yticklabels,'UniformOutput',false);
                ravemaketextticks(src,[],[],0,[],[],[],yticklabels)
            end
    end
end

%now relocate all ticks to proper location:
ravemovecustomticks(src,[],0);