function udata=raveinitializeudataboxplot(src,ev)

handles=guidata(src);

d=1; %default data set index

iscategorical=find(ismember(handles.datatype{d},'discrete') | ismember(handles.datatype{d},'string'),1);
isnumerical = find(~ismember(handles.datatype{d},'string'),2);
if isnumerical(1)==iscategorical;isnumerical=isnumerical(2);end;

if isempty(isnumerical)
    udata.view.x=0; %x axis (numerical)
    udata.view.y=0; %unused
    udata.view.z=0; %unused
    udata.view.c=0; %unused
    udata.view.s=0; %unused
else
    udata.view.x=isnumerical(1); %x axis (numerical)
    udata.view.x=[1 2 3 4];
    udata.view.y=0; %unused
    udata.view.z=0; %unused
    udata.view.c=0; %unused
    udata.view.s=0; %unused
end

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.constraints=0;
udata.view.width=1; %relative width of bars.
udata.view.normalize=0; %show percentages instead of counts;
udata.view.stack=1; %stack vertically instead of horizontally;
udata.view.style='classic';
udata.view.series={'main','selected','filtered'};

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.usevariablecolors=false;
udata.format.linecolor=[0 0 0];
udata.format.linewidth=1;
udata.format.orient='vertical'; %bar orientation
udata.format.nxlabelrows=0;
udata.format.boxwidth=0.8;

%make explre tab info:
udata.explore.option=1;
udata.explore.method=cell(0);

