function ravearrangeobjectsternscatter(src,ev)


handles=guidata(src);

%re-set xlim/ylim to match new aspect ratio:

targetaxes=handles.allgraphs(handles.activeindex);


%get positions/scales:
pos=get(targetaxes,'position'); %pixel position


%scale xlim/yim so that triangle goes from 0-1 xlim and 0-sqrt(3) ylim:

ar=pos(3)/pos(4); %graph aspect ratio:

if ar>=2/sqrt(3)
    set(targetaxes,'ylim',[0 sqrt(3)/2],'xlim',[0.5-sqrt(3)/4*ar sqrt(3)/4*ar+0.5]);
else
    set(targetaxes,'xlim',[0 1],'ylim',[sqrt(3)/4-(1/ar)/2 (1/ar)/2+sqrt(3)/4]);
end




