function udata=raveinitializeudataternscatter(src,ev)

handles=guidata(src);

%make scatter graph with x=1st var, y=2nd var, z=3rd var, c=none

d=1; %default data set index

vars=find(~handles.isconstant{d},3);
try
    x=vars(1);
    y=vars(2);
    z=vars(3);
catch
    x=1;
    y=1;
    z=1;
end

c=0;
s=0;

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.x=x;
udata.view.y=y;
udata.view.z=z;
udata.view.c=c;
udata.view.s=s;
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.campos=[];
udata.view.camtarg=[];
udata.view.hiderotate=0;
udata.view.constraints=0;
udata.view.az=-37.5;
udata.view.el=30;
udata.view.uselines=0;
udata.view.filthandles=[];
udata.view.mainhandles=[];
udata.view.selhandles=[];
udata.view.patchidx=[];
udata.view.series={'main','selected','filtered'};

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=2; %index for grid;
udata.format.marker='o'; % marker string
udata.format.minmarkersize=25; %min marker size (pixels^2)
udata.format.maxmarkersize=625; %max marker size (pixels^2)
udata.format.markerfill=2; %marker fill style index.
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap
%udata.format.mcheck=1; %marker check box value
udata.format.ncolor=0; %noisy colors check box value;
udata.format.boxon=0; %show bounding box of axes;
udata.format.colorbar=1;
udata.format.colormapping='global';
udata.format.clim=[];
udata.format.cbarhandle=[];
udata.format.updatedials=1; %update xdials when a single point is clicked;
udata.format.reversecolors=0;
udata.format.nxlabelrows=0;

%make explre tab info:
udata.explore.option=1;
udata.explore.method=cell(0);
udata.explore.mouseover=true;