function sizelassoternscatter(src,eventdata) %#ok<INUSD>
%must be stored in its own file since it uses persistent variable
persistent handles
if isempty(handles)
    handles=guidata(src);
end
ai=find(handles.allgraphs==gca);
udata=get(handles.fakeax(ai),'userdata');

mousenew = get(handles.allgraphs(ai),'CurrentPoint');
mousenew = mousenew(1,1:2);

% append the new point on the end of the last lasso

xpts=get(handles.temp.selection,'xdata');
ypts=get(handles.temp.selection,'ydata');

handles.temp.xpoints = [xpts(1:end-1),mousenew(1,1),xpts(1)]; %make a closed loop
handles.temp.ypoints = [ypts(1:end-1),mousenew(1,2),ypts(1)];

% replot the newly extended lasso
set(handles.temp.selection,'xdata',handles.temp.xpoints,'ydata',handles.temp.ypoints)

%determine which points are in this region:
try
    inpoints=raveinsidepoly(handles.temp.xdata,handles.temp.ydata,handles.temp.xpoints,handles.temp.ypoints);
catch %#ok<CTCH>
    inpoints=inpolygon(handles.temp.xdata,handles.temp.ydata,handles.temp.xpoints,handles.temp.ypoints);
end

inpoints=inpoints & handles.isvisible{udata.view.dataset}{udata.view.analysis};

if ~handles.prefs.filteredselectable
    inpoints = inpoints & ~handles.isfiltered{udata.view.dataset}{udata.view.analysis};
end

if strcmp(get(handles.fig,'currentmodifier'),'shift')
    handles.isselected{udata.view.dataset}{udata.view.analysis}= handles.isselected{udata.view.dataset}{udata.view.analysis}|inpoints;
elseif strcmp(get(handles.fig,'currentmodifier'),'alt')
    lastselected=handles.isselected{udata.view.dataset}{udata.view.analysis};
    lastselected(inpoints)=false;
    handles.isselected{udata.view.dataset}{udata.view.analysis}= lastselected;
elseif strcmp(get(handles.fig,'currentmodifier'),'control')
    lastselected=handles.isselected{udata.view.dataset}{udata.view.analysis};
    handles.isselected{udata.view.dataset}{udata.view.analysis}= lastselected & inpoints;
else
    handles.isselected{udata.view.dataset}{udata.view.analysis}=inpoints;
end

set(handles.infobar,'string',[strtrim(sprintf('%12.0f',sum(handles.isselected{udata.view.dataset}{udata.view.analysis}))) ' points selected'])

updateternscatterisselected(src,ai,handles.isselected{udata.view.dataset}{udata.view.analysis})