
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.util.List;
import javax.swing.*;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;
import javax.swing.table.*;


//Attempt to put a button in the table:
    public class RaveTableMouseHandler extends MouseAdapter {
        private final JTable table;
        
        public RaveTableMouseHandler(JTable table) {
            this.table = table;
        }
		
		
		public void mousePressed(MouseEvent e) {
        //    JTable j = (JTable) e.getSource();
            TableColumnModel columnModel = table.getColumnModel();
            int viewColumn = columnModel.getColumnIndexAtX(e.getX());
            int column = columnModel.getColumn(viewColumn).getModelIndex();
            int row = e.getY()/table.getRowHeight(); 
            
            if (row < table.getRowCount() && row >= 0 && column < table.getColumnCount() && column >= 0) {
                Object value = table.getValueAt(row, column);
			    if (value instanceof JButton) {
				    ((JButton)value).getModel().setArmed(true);
					((JButton)value).getModel().setPressed(true);
					((JButton)value).repaint();
					table.repaint;
					
					System.out.println("down");
			    } 
            }
        }
		
		public void mouseReleased(MouseEvent e) {
        //    JTable j = (JTable) e.getSource();
            TableColumnModel columnModel = table.getColumnModel();
            int viewColumn = columnModel.getColumnIndexAtX(e.getX());
            int column = columnModel.getColumn(viewColumn).getModelIndex();
            int row = e.getY()/table.getRowHeight(); 
            
            if (row < table.getRowCount() && row >= 0 && column < table.getColumnCount() && column >= 0) {
                Object value = table.getValueAt(row, column);
			    if (value instanceof JButton) {
				    ((JButton)value).getModel().setArmed(false);
					((JButton)value).getModel().setPressed(false);
					((JButton)value).repaint();
					table.repaint();
					System.out.println("up");
			    } 
            }
        }
		
		public void mouseExited(MouseEvent e) {
        //    JTable j = (JTable) e.getSource();
            TableColumnModel columnModel = table.getColumnModel();
            int viewColumn = columnModel.getColumnIndexAtX(e.getX());
            int column = columnModel.getColumn(viewColumn).getModelIndex();
            int row = e.getY()/table.getRowHeight(); 
            
            if (row < table.getRowCount() && row >= 0 && column < table.getColumnCount() && column >= 0) {
                Object value = table.getValueAt(row, column);
			    if (value instanceof JButton) {
				    ((JButton)value).getModel().setArmed(false);
					((JButton)value).getModel().setPressed(false);
					((JButton)value).repaint();
					table.repaint();
					System.out.println("exit");
			    } 
            }
        }
		
		
		

        public void mouseClicked(MouseEvent e) {
        //    JTable j = (JTable) e.getSource();
            TableColumnModel columnModel = table.getColumnModel();
            int viewColumn = columnModel.getColumnIndexAtX(e.getX());
            int column = columnModel.getColumn(viewColumn).getModelIndex();
            int row = e.getY()/table.getRowHeight(); 
            
            if (row < table.getRowCount() && row >= 0 && column < table.getColumnCount() && column >= 0) {
                Object value = table.getValueAt(row, column);
			    if (value instanceof JButton) {
				    ((JButton)value).doClick();
				//	System.out.println("click");
				//	((JButton)value).getModel().setArmed(false);
				//	((JButton)value).getModel().setPressed(false);
				//	((JButton)value).repaint();
				table.repaint();
					
					
			    } 
            }
        }
    }