function ravemaintabledecidecolumn(src,ev)

handles=guidata(src);

MouseEvent=get(0,'userdata');

d=handles.maintable.d;

c=handles.maintable.jtable.getColumnModel.getColumnIndexAtX(MouseEvent.getX);
col=handles.maintable.jtable.convertColumnIndexToModel(c)+1;
   
if strcmp(get(src,'checked'),'off') %decide this variable
    set(src,'checked','on')
    handles.isdecided{d}(col)=true;
    handles.alldata{d}(:,col)=handles.xdials{d}{1}(col);
else %undecide this variable
    set(src,'checked','off')
    handles.isdecided{d}(col)=false;
    
    backupdata=getappdata(handles.fig,'backupdata');   
    handles.alldata{d}(:,col)=backupdata{d}(:,col);
end

guidata(handles.fig,handles);

%determine which functions need to update:
updatefuns=[];
for c=find(handles.isfunction{d})
   if ismember(col,handles.funvars{d}{c})
       updatefuns(end+1)=c; %#ok<AGROW>
   end    
end

if ~isempty(updatefuns)
    y=raveevaluatefunction(handles.fig,d,updatefuns,handles.alldata{d});
    handles.alldata{d}(:,updatefuns)=y;
end

guidata(handles.fig,handles);


raveupdatedataset(handles.fig,[],'datachanged',[],handles.maintable.d)


    