if settings.animation
    
    
    
    endtime=toc;
    Framez=get(handles.fig,'userdata');
    
    %one last frame... 
    Framez(end+1) = getscreen(handles.fig,settings.framebounds);
    
    

    if strcmp(handles.prefs.animation.format,'gif')
        [FileName,PathName,FilterIndex] = uiputfile('*.gif');
        if ischar(FileName)
            warning('off','MATLAB:writegif:loopcountInAppendMode');
            
            loopcount=handles.prefs.animation.loop;

            if handles.prefs.animation.fps
                delaytime=1/handles.prefs.animation.fps;
            else
                delaytime=endtime/numel(Framez);
            end
            
            movie2gif(Framez,[PathName FileName],'LoopCount',loopcount,'DelayTime',delaytime);
            warning('on','MATLAB:writegif:loopcountInAppendMode');
        end
    elseif strcmp(handles.prefs.animation.format,'avi')
        [FileName,PathName,FilterIndex] = uiputfile('*.avi');
        if ischar(FileName)
            
            if ~handles.prefs.animation.realtime
                fps=handles.prefs.animation.fps;
            else
                fps=numel(Framez)/endtime;
            end
            h = waitbar(0, 'Generating AVI file');
            movie2avi(Framez,fullfile(PathName,FileName),'compression','None','fps',fps,...
                'quality',handles.prefs.animation.quality);
            delete(h);
        end
    end

end

set(handles.fig,'userdata',[]);

try
    set(handles.allblockers(handles.activeindex),'edgecolor',bordercolor);
    set(handles.grabbers{handles.activeindex},'visible','on');
end

infoz=findobj(settings.plotaxes,'tag','optinfotext');
set(infoz,'tag','optplots');
