if ~isempty(handles.activeindex)

grabbyviz=get(handles.grabbers{handles.activeindex}(1),'visible');
bordercolor=get(handles.allblockers(handles.activeindex),'edgecolor');
if settings.animation
    %open movie file:"
    set(handles.allblockers(handles.activeindex),'edgecolor','none');
    set(handles.grabbers{handles.activeindex},'visible','off');
    Framez=struct('cdata',{},'colormap',{});
    set(handles.fig,'userdata',Framez);  
end

if settings.showinfo && ~isempty(settings.plotaxes)
    xlimz=get(settings.plotaxes,'xlim');
    ylimz=get(settings.plotaxes,'ylim');
    
    switch settings.infolocation
        case 'ne'
            text(xlimz(2),ylimz(2),'','parent',settings.plotaxes,'fontname',settings.infofont,'fontsize',settings.infofontsize,...
                'tag','optinfotext','vert','top','hor','right','backgroundcolor','none');
        case 'nw'
            text(xlimz(1),ylimz(2),'','parent',settings.plotaxes,'fontname',settings.infofont,'fontsize',settings.infofontsize,...
                'tag','optinfotext','vert','top','hor','left','backgroundcolor','none');
        case 'se'
            text(xlimz(2),ylimz(1),'','parent',settings.plotaxes,'fontname',settings.infofont,'fontsize',settings.infofontsize,...
                'tag','optinfotext','vert','bottom','hor','right','backgroundcolor','none');
        case 'sw'
            text(xlimz(1),ylimz(1),'','parent',settings.plotaxes,'fontname',settings.infofont,'fontsize',settings.infofontsize,...
                'tag','optinfotext','vert','bottom','hor','left','backgroundcolor','none');
    end
    
    tic
    
end
    


end