function raveduplicatedataset(src,ev,d,newname)
%duplicates data set d to a dataset with name newname. 
handles=guidata(src);

handles.datasetnames{end+1}=newname;

backupdata=getappdata(handles.fig,'backupdata');
backupdata{end+1}=backupdata{d};
setappdata(handles.fig,'backupdata',backupdata);

handles.datasettype{end+1}='raveoriginated';
handles.datasetfiles{end+1}='none';
handles.datasetlinks{end+1}=cell(1,size(handles.alldata{d},2)); %do NOT duplicate links.
handles.datasetlinkinfo{end+1}=cell(1,size(handles.alldata{d},2)); %do NOT duplicate links.
handles.alldata{end+1}=handles.alldata{d};
handles.alltext{end+1}=handles.alltext{d};
handles.allnames{end+1}=handles.allnames{d};
handles.variablecolors{end+1}=handles.variablecolors{d};
handles.isresponse{end+1}=handles.isresponse{d};
handles.allunits{end+1}=handles.allunits{d};
handles.isvalid{end+1}=handles.isvalid{d};
handles.isincluded{end+1}=handles.isincluded{d};
handles.isdecided{end+1}=handles.isdecided{d};
handles.isnoise{end+1}=handles.isnoise{d};
handles.isconstant{end+1}=handles.isconstant{d};
handles.isfunction{end+1}=handles.isfunction{d};
handles.ispointofinterest{end+1}=handles.ispointofinterest{d};
handles.funclass{end+1}=handles.funclass{d};
handles.funnames{end+1}=handles.funnames{d};
handles.funvars{end+1}=handles.funvars{d};
handles.nargout{end+1}=handles.nargout{d};
handles.datatype{end+1}=handles.datatype{d};
handles.targetvalues{end+1}=handles.targetvalues{d};
handles.preferences{end+1}=handles.preferences{d};
handles.normalizepreferences{end+1}=handles.normalizepreferences{d};
handles.isobjective{end+1}=handles.isobjective{d};
handles.rankingcolumn{end+1}=handles.rankingcolumn{d};
handles.rowlabelcolumn{end+1}=handles.rowlabelcolumn{d};
handles.datasetupdatespending{end+1}=handles.datasetupdatespending{d};
handles.analysisupdatespending{end+1}=handles.analysisupdatespending{d};
handles.tablemodelupdatespending{end+1}=handles.tablemodelupdatespending{d};
handles.maintable.colwidths{end+1}=handles.maintable.colwidths{d};


%analysis variables:
a=1;
    handles.xdials{end+1}{a}=handles.xdials{d}{a};
    handles.minlimit{end+1}{a}=handles.minlimit{d}{a};
    handles.maxlimit{end+1}{a}=handles.maxlimit{d}{a};
    handles.minfilter{end+1}{a}=handles.minfilter{d}{a};
    handles.maxfilter{end+1}{a}=handles.maxfilter{d}{a};
    handles.discretevalues{end+1}{a}=handles.discretevalues{d}{a};
    handles.rowcolors{end+1}{a}=handles.rowcolors{d}{a};
    handles.ineqconstraints{end+1}{a}=handles.ineqconstraints{d}{a};
    handles.isselected{end+1}{a}=handles.isselected{d}{a};
    handles.isfiltered{end+1}{a}=handles.isfiltered{d}{a};
    handles.isvisible{end+1}{a}=handles.isvisible{d}{a};
    handles.constrainthandles{end+1}{a}=handles.constrainthandles{d}{a};
    handles.constrainttext{end+1}{a}=handles.constrainttext{d}{a};
    handles.constrainttype{end+1}{a}=handles.constrainttype{d}{a};
    handles.constraintvalues{end+1}{a}=handles.constraintvalues{d}{a};
    handles.constraintadders{end+1}{a}=handles.constraintadders{d}{a};
    handles.constraintscalers{end+1}{a}=handles.constraintscalers{d}{a};
    handles.constraintvars{end+1}{a}=handles.constraintvars{d}{a};
    handles.constraintcolors{end+1}{a}=handles.constraintcolors{d}{a};
    handles.distname{end+1}{a}=handles.distname{d}{a};
    handles.distparams{end+1}{a}=handles.distparams{d}{a};



for a=2:numel(handles.analysisnames);
    handles.xdials{end}{a}=handles.xdials{d}{a};
    handles.minlimit{end}{a}=handles.minlimit{d}{a};
    handles.maxlimit{end}{a}=handles.maxlimit{d}{a};
    handles.minfilter{end}{a}=handles.minfilter{d}{a};
    handles.maxfilter{end}{a}=handles.maxfilter{d}{a};
    handles.discretevalues{end}{a}=handles.discretevalues{d}{a};
    handles.rowcolors{end}{a}=handles.rowcolors{d}{a};
    handles.ineqconstraints{end}{a}=handles.ineqconstraints{d}{a};
    handles.isselected{end}{a}=handles.isselected{d}{a};
    handles.isfiltered{end}{a}=handles.isfiltered{d}{a};
    handles.isvisible{end}{a}=handles.isvisible{d}{a};
    handles.constrainthandles{end}{a}=handles.constrainthandles{d}{a};
    handles.constrainttext{end}{a}=handles.constrainttext{d}{a};
    handles.constrainttype{end}{a}=handles.constrainttype{d}{a};
    handles.constraintvalues{end}{a}=handles.constraintvalues{d}{a};
    handles.constraintadders{end}{a}=handles.constraintadders{d}{a};
    handles.constraintscalers{end}{a}=handles.constraintscalers{d}{a};
    handles.constraintvars{end}{a}=handles.constraintvars{d}{a};
    handles.constraintcolors{end}{a}=handles.constraintcolors{d}{a};
    handles.distname{end}{a}=handles.distname{d}{a};
    handles.distparams{end}{a}=handles.distparams{d}{a};
end


guidata(handles.fig,handles);


newd=numel(handles.datasetnames);

%create tableModel:
[model,rhmodel]=ravecreatemaintablemodel(handles.fig,[],newd,1);
handles.maintable.models{newd}=model;
handles.maintable.rhmodels{newd}=rhmodel;
handles.maintable.x{newd}=handles.maintable.x{d};

guidata(handles.fig,handles);



