function raveresearchtimer(src,ev)



handles=guidata(src);



handles.researchtimer=timer('BusyMode','drop','ExecutionMode','fixedSpacing',...
    'Period',3,'StartDelay',15,...
    'StartFcn','','StopFcn','','TimerFcn',@timercallback,'userdata',handles.fig);

guidata(handles.fig,handles);


start(handles.researchtimer);

function timercallback(src,ev)
fig=get(src,'userdata');
handles=guidata(fig);

if isempty(handles.allgraphs);return;end

%increment all timerticks by 1
handles.timerticks=handles.timerticks+1;
guidata(handles.fig,handles);
%any timerticks over the limit (10) get their graphs hidden


for g=1:numel(handles.timerticks)
    if handles.timerticks(g)>3 && ishandle(handles.allgraphs(g))
        if isempty(handles.rasters{g})
            raverasterize(handles.fig,[],g,true)
        else
            iii=get(handles.rasters{g},'children');
            imdata=get(iii,'cdata');
            if handles.timerticks(g)>14
                imdata(:)=1;
            else
                imdata=uint8((1-handles.timerticks(g)./14).*double(imdata) + (handles.timerticks(g)./14)*255*ones(size(imdata)));
            end
            set(iii,'cdata',imdata);
        end
    end
end

%do not save handles at end, or reload after raverasterize


