function ravesetlassoselectionmode(src,ev,value)
handles=guidata(src);

otherbuttons=findobj(handles.tabobjects,'tag','boxbutton','-or','tag','pointbutton');
set(otherbuttons,'value',0);

discretecontrols=findobj(handles.allgraphs(ishandle(handles.allgraphs)),'userdata','discretecontrols');
if ~isempty(discretecontrols)
    idx=find(handles.allgraphs==discretecontrols);
    for i=1:numel(idx)
        uuu=get(handles.fakeax(idx(i)),'userdata');
        unpushtogglebutton(uuu.view.pointbutton,[]);
        pushtogglebutton(uuu.view.lassobutton,[]);
        unpushtogglebutton(uuu.view.boxbutton,[]);
    end
end

if nargin<3
    value=get(src,'value');
end

if value
    handles.selectionmode='lasso';
else
    handles.selectionmode='none';
end
guidata(src,handles);

if strcmp(handles.activetab,'row')
    thisbutton=findobj(handles.tabobjects,'tag','lassobutton');
    set(thisbutton,'value',value);
end



%update graphs if necessary:
for ai=1:numel(handles.allgraphs)
    if ~ishandle(handles.allgraphs(ai));continue;end
    thistype=get(handles.allgraphs(ai),'userdata');
    if ~isempty(which(['ravesetselectionmode',thistype,'.m']));
        funhandle=str2func(['ravesetselectionmode',thistype]);
        funhandle(handles.fig,ai);
    end
end
